arx(6)

NAME
arx - Arx Libertatis, a cross-platform port of Arx Fatalis

SYNOPSIS
arx [-hnl] [-ddata-dir] [-uuser-dir] [-cconfig-dir] [-gdebug-spec]

DESCRIPTION
arx is the main executable of Arx Libertatis, a cross-platform port of the first-person role-playing game Arx Fatalis. You will need the game data from the original Arx Fatalis to run the game. See http://wiki.arx-libertatis.org/Getting_the_game_data

OPTIONS

-c --config-dir dir
    By default arx will store configuration files in directories specified by the XDG Base Directory Specification if the data files are also located in directories specified by the XDG Base Directory Specification (unless --no-data-dir was used) or if the --data-dir or --user-dir options were specified. Otherwise, config files are saved to the current directory along with the data files. This option overrides the directory where config files are loaded from and saved to.

-d --data-dir dir
    Arx Libertatis will look for data files in directories specified by the XDG Base Directory Specification and in the current directory. This option overrides where data files are loaded from. Besides the system-wide data directory, data files are also loaded from the user directory, which is set by the --user-dir option.

-g --debug list
    This option can be used to enable debug output for debug builds of Arx Libertatis. For non-debug build, this option is not very useful but recognized for convenience.

-h --help
    Show a list of the supported options.

-l --list-dirs
    Show the default search directories for --data-dir , --user-dir and --config-dir

-n --no-data-dir
    Disables looking for default data directories. Default user and config directories are still searched. This option can be used to force loading from the current directory even if there is a system-wide install of the data files: arx --no-data-dir --user-dir=. --config-dir=.

-u --user-dir dir
    By default arx will store user files (saves, etc.) in directories specified by the XDG Base Directory Specification if the data files are also located in directories specified by the XDG Base Directory Specification (unless --no-data-dir was used) or if the --data-dir option was specified. Otherwise, user files are saved to the current directory along with the data files. This option overrides the directory where user files are loaded from and saved to. Additionally, data files will also be loaded from the user directory if they exist, overwriting resources from the system-wide data directory.

SEE ALSO
arxsavetool(1), arxunpak(1)